<app-toobar></app-toobar>


<div class="container">

  <div class="col">
    <form class="example-form" [formGroup]="form">
      <div class="row">
        <p class="lead">Cadastre-se para comprar</p>

      </div>

<div class="container">

  <div class="col">
    <form class="example-form" [formGroup]="form">
      <div class="row">
      <mat-form-field class="example-full-width">
         <input matInput placeholder="Nome" formControlName="name"  required>
         <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
      </mat-form-field>
      </div>
      <div class="row">
      <mat-form-field>
         <mat-label>Selecione seu sexo</mat-label>
         <mat-select [(value)]="selected" formControlName="genero">
           <mat-option></mat-option>
           <mat-option value="M">Masculino</mat-option>
           <mat-option value="F">Feminino</mat-option>
           <mat-option value="Outros">Outros</mat-option>
         </mat-select>
       </mat-form-field>
      </div>
      <div class="row">
       <mat-form-field class="example-full-width">
         <input matInput placeholder="DDD+Celular" formControlName="telefone"  required>
         <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
      </mat-form-field>
      </div>
      <div class="row">
        <mat-form-field class="example-full-width">
           <input matInput placeholder="Cep" formControlName="cep"  required>
           <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
        </mat-form-field>
        </div>
        <div class="row">
        <mat-form-field class="example-full-width">
            <input matInput placeholder="Rua" formControlName="rua"  required>
            <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
         </mat-form-field>
        </div>
        <div class="row">
          <mat-form-field class="example-full-width">
            <input matInput placeholder="Numero" formControlName="numero"  required>
            <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
         </mat-form-field>
        </div>
        <div class="row">
          <mat-form-field class="example-full-width">
            <input matInput placeholder="Complemento (Opcional)" formControlName="complemento">
            <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
         </mat-form-field>
        </div>
        <div class="row">
          <mat-form-field class="example-full-width">
            <input matInput placeholder="Bairro" formControlName="bairro">
            <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
         </mat-form-field>
        </div>
      <div class="row">
      <mat-form-field class="example-full-width" *ngIf="verifyLogged == ''">
        <input matInput placeholder="Insira seu Email" formControlName="email"  required>
        <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
      </mat-form-field>
      </div>
      <div class="row">
      <mat-form-field class="example-full-width" *ngIf="verifyLogged == ''">
          <input matInput placeholder="Insira sua senha" [type]="hide ? 'password' : 'text'" formControlName="password">
          <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
          <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
          </button>
        </mat-form-field>
      </div>
        <button style="background-color: black; color: white; width: 100%;" mat-raised-button (click)="registrar()" *ngIf="verifyLogged == ''">Registrar</button>
        <button style="background-color: black; color: white; width: 100%;" mat-raised-button (click)="alterar()" *ngIf="verifyLogged !== ''">Atualizar</button>

        <button mat-button color="primary" style="margin-top: 4%; float: right;" (click)="backTo()"> Voltar Login</button>


    </form>


</div>

</div>
